<?php
class Bi_analise
{
	private $_codigo;
	private $_nome;
	private $_descricao;
	private $_query;
	private $_data_inclusao;
	private $_log;
	private $_grafico;
	private $_coluna_analise_vertical;
	private $_colunas_informarcao_analise_vertical;
	private $_colunas_valores_analise_vertical;
	private $_colunas_quebrar_parcial_analise_vertical;
	private $_cor_widget;
	private $_icone_widget;
	private $_json_cor_dinamica_widget;
	private $_colunas_valores_ocultas_para_calculo;
	private $_titulo_widget_grafico;
	private $_conexao;
	private $_unidade_widget;
	private $_colunas_quebrar_media_parcial_analise_vertical;
	private $_colunas_total_analise_vertical;
	private $_colunas_media_analise_vertical;
	private $_coluna_latitude;
	private $_coluna_longitude;
	private $_tipo_coluna_lat_lng;
	private $_tipo_view_mapa;
	private $_modelo_dados;
	private $_area;
	private $_exibir_em_analise;
	private $_colunas_valores_media_parcial;
	private $_colunas_valores_soma_parcial;
	private $_colunas_sequencia_ordenacao;
	private $_listalista_Tipo = array();
	private $_listalista_Tipo_calculo_data = array();
	private $_listalista_Agregacao = array();
	public function setCodigo($codigo)
	{
 		$this->_codigo = $codigo;
	}
	public function getCodigo()
	{
 		return $this->_codigo;
	}
	public function setNome($nome)
	{
 		$this->_nome = $nome;
	}
	public function getNome()
	{
 		return $this->_nome;
	}
	public function setDescricao($descricao)
	{
 		$this->_descricao = $descricao;
	}
	public function getDescricao()
	{
 		return $this->_descricao;
	}
	public function setQuery($query)
	{
 		$this->_query = $query;
	}
	public function getQuery()
	{
 		return $this->_query;
	}
	public function setData_inclusao(DateTime $data_inclusao)
	{
 		$this->_data_inclusao = $data_inclusao;
	}
	public function getData_inclusao()
	{
 		return $this->_data_inclusao;
	}
	public function setLog($log)
	{
 		$this->_log = $log;
	}
	public function getLog()
	{
 		return $this->_log;
	}
	public function setGrafico($grafico)
	{
 		$this->_grafico = $grafico;
	}
	public function getGrafico()
	{
 		return $this->_grafico;
	}
	public function setColuna_analise_vertical($coluna_analise_vertical)
	{
 		$this->_coluna_analise_vertical = $coluna_analise_vertical;
	}
	public function getColuna_analise_vertical()
	{
 		return $this->_coluna_analise_vertical;
	}
	public function setColunas_informarcao_analise_vertical($colunas_informarcao_analise_vertical)
	{
 		$this->_colunas_informarcao_analise_vertical = $colunas_informarcao_analise_vertical;
	}
	public function getColunas_informarcao_analise_vertical()
	{
 		return $this->_colunas_informarcao_analise_vertical;
	}
	public function setColunas_valores_analise_vertical($colunas_valores_analise_vertical)
	{
 		$this->_colunas_valores_analise_vertical = $colunas_valores_analise_vertical;
	}
	public function getColunas_valores_analise_vertical()
	{
 		return $this->_colunas_valores_analise_vertical;
	}
	public function setColunas_quebrar_parcial_analise_vertical($colunas_quebrar_parcial_analise_vertical)
	{
 		$this->_colunas_quebrar_parcial_analise_vertical = $colunas_quebrar_parcial_analise_vertical;
	}
	public function getColunas_quebrar_parcial_analise_vertical()
	{
 		return $this->_colunas_quebrar_parcial_analise_vertical;
	}
	public function setCor_widget($cor_widget)
	{
 		$this->_cor_widget = $cor_widget;
	}
	public function getCor_widget()
	{
 		return $this->_cor_widget;
	}
	public function setIcone_widget($icone_widget)
	{
 		$this->_icone_widget = $icone_widget;
	}
	public function getIcone_widget()
	{
 		return $this->_icone_widget;
	}
	public function setJson_cor_dinamica_widget($json_cor_dinamica_widget)
	{
 		$this->_json_cor_dinamica_widget = $json_cor_dinamica_widget;
	}
	public function getJson_cor_dinamica_widget()
	{
 		return $this->_json_cor_dinamica_widget;
	}
	public function setColunas_valores_ocultas_para_calculo($colunas_valores_ocultas_para_calculo)
	{
 		$this->_colunas_valores_ocultas_para_calculo = $colunas_valores_ocultas_para_calculo;
	}
	public function getColunas_valores_ocultas_para_calculo()
	{
 		return $this->_colunas_valores_ocultas_para_calculo;
	}
	public function setTitulo_widget_grafico($titulo_widget_grafico)
	{
 		$this->_titulo_widget_grafico = $titulo_widget_grafico;
	}
	public function getTitulo_widget_grafico()
	{
 		return $this->_titulo_widget_grafico;
	}
	public function setConexao($conexao)
	{
 		$this->_conexao = $conexao;
	}
	public function getConexao()
	{
 		return $this->_conexao;
	}
	public function setUnidade_widget($unidade_widget)
	{
 		$this->_unidade_widget = $unidade_widget;
	}
	public function getUnidade_widget()
	{
 		return $this->_unidade_widget;
	}
	public function setColunas_quebrar_media_parcial_analise_vertical($colunas_quebrar_media_parcial_analise_vertical)
	{
 		$this->_colunas_quebrar_media_parcial_analise_vertical = $colunas_quebrar_media_parcial_analise_vertical;
	}
	public function getColunas_quebrar_media_parcial_analise_vertical()
	{
 		return $this->_colunas_quebrar_media_parcial_analise_vertical;
	}
	public function setColunas_total_analise_vertical($colunas_total_analise_vertical)
	{
 		$this->_colunas_total_analise_vertical = $colunas_total_analise_vertical;
	}
	public function getColunas_total_analise_vertical()
	{
 		return $this->_colunas_total_analise_vertical;
	}
	public function setColunas_media_analise_vertical($colunas_media_analise_vertical)
	{
 		$this->_colunas_media_analise_vertical = $colunas_media_analise_vertical;
	}
	public function getColunas_media_analise_vertical()
	{
 		return $this->_colunas_media_analise_vertical;
	}
	public function setColuna_latitude($coluna_latitude)
	{
 		$this->_coluna_latitude = $coluna_latitude;
	}
	public function getColuna_latitude()
	{
 		return $this->_coluna_latitude;
	}
	public function setColuna_longitude($coluna_longitude)
	{
 		$this->_coluna_longitude = $coluna_longitude;
	}
	public function getColuna_longitude()
	{
 		return $this->_coluna_longitude;
	}
	public function setTipo_coluna_lat_lng($tipo_coluna_lat_lng)
	{
 		$this->_tipo_coluna_lat_lng = $tipo_coluna_lat_lng;
	}
	public function getTipo_coluna_lat_lng()
	{
 		return $this->_tipo_coluna_lat_lng;
	}
	public function setTipo_view_mapa($tipo_view_mapa)
	{
 		$this->_tipo_view_mapa = $tipo_view_mapa;
	}
	public function getTipo_view_mapa()
	{
 		return $this->_tipo_view_mapa;
	}
	public function setModelo_dados($modelo_dados)
	{
 		$this->_modelo_dados = $modelo_dados;
	}
	public function getModelo_dados()
	{
 		return $this->_modelo_dados;
	}
	public function setArea($area)
	{
 		$this->_area = $area;
	}
	public function getArea()
	{
 		return $this->_area;
	}
	public function setExibir_em_analise($exibir_em_analise)
	{
 		$this->_exibir_em_analise = $exibir_em_analise;
	}
	public function getExibir_em_analise()
	{
 		return $this->_exibir_em_analise;
	}
	public function setColunas_valores_media_parcial($colunas_valores_media_parcial)
	{
 		$this->_colunas_valores_media_parcial = $colunas_valores_media_parcial;
	}
	public function getColunas_valores_media_parcial()
	{
 		return $this->_colunas_valores_media_parcial;
	}
	public function setColunas_valores_soma_parcial($colunas_valores_soma_parcial)
	{
 		$this->_colunas_valores_soma_parcial = $colunas_valores_soma_parcial;
	}
	public function getColunas_valores_soma_parcial()
	{
 		return $this->_colunas_valores_soma_parcial;
	}
	public function setColunas_sequencia_ordenacao($colunas_sequencia_ordenacao)
	{
 		$this->_colunas_sequencia_ordenacao = $colunas_sequencia_ordenacao;
	}
	public function getColunas_sequencia_ordenacao()
	{
 		return $this->_colunas_sequencia_ordenacao;
	}
	public function setlista_Tipo($tipo)
	{
 		$this->_tipo = $tipo;
	}
	public function getlista_Tipo()
	{
 		return $this->_tipo;
	}
	public function setlista_Tipo_calculo_data($tipo_calculo_data)
	{
 		$this->_tipo_calculo_data = $tipo_calculo_data;
	}
	public function getlista_Tipo_calculo_data()
	{
 		return $this->_tipo_calculo_data;
	}
	
	public function setlista_Agregacao($agregacao)
	{
 		$this->_agregacao = $agregacao;
	}
	public function getlista_Agregacao()
	{
 		return $this->_agregacao;
	}
}